---
title: XDomainRequest.responseText
slug: Web/API/XDomainRequest/responseText
tags:
  - AJAX
  - IE
  - Microsoft
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("XDomain")}}{{obsolete_header}}{{non-standard_header}}</div>

<p>Returns the response body of an {{domxref("XDomainRequest")}} as a string.</p>

<div class="note">
<p><strong>Note:</strong> This property is valid during the {{domxref("XDomainRequest.onprogress")}} and {{domxref("XDomainRequest.onload")}} events.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>response</em> = xdr.responseText;</pre>

<p>This sets <code>response</code> to contain the response body of the request, as a string.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var response = xdr.responseText;</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.responseText")}}</p>
